curl --request POST \
--url https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/gift_card_redemptions/{gift_card_redemption}/actions/reverse \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/gift_card_redemptions/{gift_card_redemption}/actions/reverse"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/gift_card_redemptions/{gift_card_redemption}/actions/reverse', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/gift_card_redemptions/{gift_card_redemption}/actions/reverse",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/gift_card_redemptions/{gift_card_redemption}/actions/reverse"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/gift_card_redemptions/{gift_card_redemption}/actions/reverse")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/gift_card_redemptions/{gift_card_redemption}/actions/reverse")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body"{ \"object\": \"GiftCardRedemption\", \"vid\": \"683f0029199971d95fd5191c7760b70f66fc4466\", \"created\": \"2021-03-25T16:44:48-07:00\", \"gift_card\": { \"object\": \"GiftCard\", \"vid\": \"8d1ece91e44441c3d424717c561dc8df74c4b5e4\", \"last_digits\": \"9FSE\", \"pin_length\": 16, \"hash_type\": \"sha1\", \"pin_hash\": \"b535aae49e30398c710989a79d56306e9ec0f309\", \"payment_provider\": \"Topps\", \"status\": \"Redeemed\", \"amount\": 500, \"currency\": \"MXN\", \"product_number\": \"91422282643651081111\" }, \"account\": { \"object\": \"Account\", \"id\": \"cust_1234\", \"vid\": \"f147870b2c86a00fb1264fb64c0a8b58fcd95b4d\", \"created\": \"2021-03-09T14:35:02-08:00\", \"email\": \"cbrown@example.com\", \"email_type\": \"html\", \"company\": \"Peanuts\", \"name\": \"Charlie Brown\", \"shipping_address\": { \"object\": \"Address\", \"vid\": \"dad524f59d1bd72f10a9162b7d7790caa39678dc\", \"name\": \"Charlie Brown\", \"line1\": \"123 Main Street\", \"city\": \"San Francisco\", \"district\": \"CA\", \"postal_code\": \"94105\", \"country\": \"US\", \"phone\": \"415-555-3212\" }, \"credit\": { \"object\": \"Credit\" } }, \"reversed\": \"2021-03-25T16:46:44-07:00\" }""{ \"object\": \"Error\", \"message\": \"JSON is invalid\" }"{
"code": "<string>",
"message": "<string>"
}"{ \"object\": \"Error\", \"message\": \"This endpoint does not exist. Check our API docs.\" }"Reverse a Gift Card Redemption
Reverses a Gift Card redemption thereby returning the funds to the Gift Card from the customer’s account.
Note:- You can only reverse a gift card redemption when the full amount of the credit is available.
curl --request POST \
--url https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/gift_card_redemptions/{gift_card_redemption}/actions/reverse \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/gift_card_redemptions/{gift_card_redemption}/actions/reverse"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/gift_card_redemptions/{gift_card_redemption}/actions/reverse', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/gift_card_redemptions/{gift_card_redemption}/actions/reverse",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/gift_card_redemptions/{gift_card_redemption}/actions/reverse"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/gift_card_redemptions/{gift_card_redemption}/actions/reverse")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/gift_card_redemptions/{gift_card_redemption}/actions/reverse")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body"{ \"object\": \"GiftCardRedemption\", \"vid\": \"683f0029199971d95fd5191c7760b70f66fc4466\", \"created\": \"2021-03-25T16:44:48-07:00\", \"gift_card\": { \"object\": \"GiftCard\", \"vid\": \"8d1ece91e44441c3d424717c561dc8df74c4b5e4\", \"last_digits\": \"9FSE\", \"pin_length\": 16, \"hash_type\": \"sha1\", \"pin_hash\": \"b535aae49e30398c710989a79d56306e9ec0f309\", \"payment_provider\": \"Topps\", \"status\": \"Redeemed\", \"amount\": 500, \"currency\": \"MXN\", \"product_number\": \"91422282643651081111\" }, \"account\": { \"object\": \"Account\", \"id\": \"cust_1234\", \"vid\": \"f147870b2c86a00fb1264fb64c0a8b58fcd95b4d\", \"created\": \"2021-03-09T14:35:02-08:00\", \"email\": \"cbrown@example.com\", \"email_type\": \"html\", \"company\": \"Peanuts\", \"name\": \"Charlie Brown\", \"shipping_address\": { \"object\": \"Address\", \"vid\": \"dad524f59d1bd72f10a9162b7d7790caa39678dc\", \"name\": \"Charlie Brown\", \"line1\": \"123 Main Street\", \"city\": \"San Francisco\", \"district\": \"CA\", \"postal_code\": \"94105\", \"country\": \"US\", \"phone\": \"415-555-3212\" }, \"credit\": { \"object\": \"Credit\" } }, \"reversed\": \"2021-03-25T16:46:44-07:00\" }""{ \"object\": \"Error\", \"message\": \"JSON is invalid\" }"{
"code": "<string>",
"message": "<string>"
}"{ \"object\": \"Error\", \"message\": \"This endpoint does not exist. Check our API docs.\" }"Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id or the vid of the Gift Card Redemption.
Response
JSON A full GiftCardRedemption object..
Value is "GiftCardRedemption"
GiftCardRedemption A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.
128A Globally Unique Identifier (GUID) for this object. This value is generated by Vindicia.
128The date/time the object was created.
Show child attributes
Show child attributes
The Account represents a merchant’s customer. As such it can contain as much or as little information as you collect about the customers (people or organizations) to which you offer billing and subscriptions. Subscriptions and Transactions must belong to an Account - as such, Accounts will be required in CashBox for billing. Read More in our User Guide
An Account can have any number of children accounts and may have up to one parent account. Read more in our User Guide.
An Account owns the “on file” payment methods to be used by it in billing.
Show child attributes
Show child attributes
The date/time the object was created.

